## net.sourceforge.pmd.cpd
Class JavaLanguage

    java.lang.Object
      net.sourceforge.pmd.cpd.JavaLanguage

All Implemented Interfaces:
  Language

public class JavaLanguage
extends java.lang.Object
implements Language

Constructor Summary
`JavaLanguage()`
`JavaLanguage(java.util.Properties properties)`

Method Summary
`java.io.FilenameFilter` `getFileFilter()`
`Tokenizer` `getTokenizer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaLanguage

    public JavaLanguage()

### JavaLanguage

    public JavaLanguage(java.util.Properties properties)

Method Detail

### getTokenizer

    public Tokenizer getTokenizer()

  Specified by:
    `getTokenizer` in interface `Language`

### getFileFilter

    public java.io.FilenameFilter getFileFilter()

  Specified by:
    `getFileFilter` in interface `Language`

Copyright © 2002-2006 InfoEther. All Rights Reserved.